Storage Configuration
StorageConfiguration object
- storage_configuration_idstring
<Databricks> storage configuration ID.
- account_idstring
The <Databricks> account ID associated with this storage configuration.
- root_bucket_infoobject
The root bucket information for the storage configuration.
Show child attributesHide child attributes
- bucket_namestring
Name of the S3 bucket
- storage_configuration_namestring
The human-readable name of the storage configuration.
- creation_timeint64
Time in epoch milliseconds when the storage configuration was created.
- role_arnstring
Optional IAM role that is used to access the workspace catalog which is created during workspace creation for UC by Default. If a storage configuration with this field populated is used to create a workspace, then a workspace catalog is created together with the workspace. The workspace catalog shares the root bucket with internal workspace storage (including DBFS root) but uses a dedicated bucket path prefix.
Get GA
GET
Gets a <Databricks> storage configuration for an account, both specified by ID.
API scopes: provisioning
Parameters
- storage_configuration_idstringpath
- account_idstringpath
Response
Returns the StorageConfiguration object.
Create GA
POST
Creates a <Databricks> storage configuration for an account.
API scopes: provisioning
Parameters
- account_idstringpath
Request body
- storage_configuration_namestring
The human-readable name of the storage configuration.
- root_bucket_infoobject
Root S3 bucket information.
Show child attributesHide child attributes
- bucket_namestring
Name of the S3 bucket
- role_arnstring
Optional IAM role that is used to access the workspace catalog which is created during workspace creation for UC by Default. If a storage configuration with this field populated is used to create a workspace, then a workspace catalog is created together with the workspace. The workspace catalog shares the root bucket with internal workspace storage (including DBFS root) but uses a dedicated bucket path prefix.
Response
Returns the StorageConfiguration object.
Delete GA
DELETE
Deletes a <Databricks> storage configuration. You cannot delete a storage configuration that is associated with any workspace.
API scopes: provisioning
Parameters
- storage_configuration_idstringpath
- account_idstringpath
Response
Returns the StorageConfiguration object.